#include <iostream>
using namespace std;
int main(){
long long a,b,c,d,e,brkutii=0;
brkutii++;
cin>>a>>b>>c>>d>>e;
if(e>a && e>b && e>c && e>d){
   if(b>e-a){
    brkutii++;
    if(c>e-a && c>e-b){
        brkutii++;
        if(d>e-a && d>e-b && d>e-c){
            brkutii++;
        }
    }else{
        if(d>e-a && d>e-b && d>e-a-c && d>e-b-c){
            brkutii++;
        }
    }
}else{
    if(c>e-a && c>e-a-b){
        brkutii++;
        if(d>e-a && d>e-a-b && d>e-c){
            brkutii++;
        }
    }else{
        if(d>e-a && d>e-c && d>e-b && d>e-a-c && d>e-a-b && d>e-a-b-c && d>e-b-c){
            brkutii++;
        }
    }
}
}else{
    for(int i=2;e<a || e<b || e<c || e<d;i++){
        e=e*i;
    }
    if(b>e-a){
    brkutii++;
    if(c>e-a && c>e-b){
        brkutii++;
        if(d>e-a && d>e-b && d>e-c){
            brkutii++;
        }
    }else{
        if(d>e-a && d>e-b && d>e-a-c && d>e-b-c){
            brkutii++;
        }
    }
}else{
    if(c>e-a && c>e-a-b){
        brkutii++;
        if(d>e-a && d>e-a-b && d>e-c){
            brkutii++;
        }
    }else{
        if(d>e-a && d>e-c && d>e-b && d>e-a-c && d>e-a-b && d>e-a-b-c && d>e-b-c){
            brkutii++;
        }
    }
}
}

cout<<brkutii<<endl;
return 0;
}
